import createAxios from '@/utils/request'

export function getFunctionsByRoleIndex(data) {
    return createAxios({
        url: '/user-boot/roleFunction/getFunctionsByRoleIndex',
        method: 'post',
        params: data
    })
}

export function updateRoleMenu(data:any) {
    return createAxios({
        url: '/user-boot/function/assignFunctionByRoleIndexes',
        method: 'post',
        data: data
        // params: roleIndex,functionIndexList
        // data:{
        //   roleIndex,functionIndexList
        // }
    })
}